package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店进销存月报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbInventoryvariationService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbInventoryvariation(PageData pd)throws Exception {
        return daoSupport.update("SKcBbInventoryvariationMapper.addSKcBbInventoryvariation", pd);
    }

    public List<PageData> findSKcBbInventoryvariationList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbInventoryvariationMapper.selectSKcBbInventoryvariationList", pd);
    }

    public Integer SKcBbInventoryvariationRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbInventoryvariationMapper.SKcBbInventoryvariationRemove", pd);
    }


    public Integer updateSKcBbInventoryvariation(PageData pd)throws Exception {
        return daoSupport.update("SKcBbInventoryvariationMapper.updateSKcBbInventoryvariation", pd);
    }

}
